PayProCart adminshop/mmailer/index.php mmShowMailingLists Variable XSS

2005-04-18T23:03:58
ID OSVDB:15531
Type osvdb
Reporter Lostmon Lords(Lostmon@gmail.com)
Modified 2005-04-18T23:03:58

Description

Vulnerability Description

PayProCart contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'mmactionComm' variable upon submission to the adminshop/mmailer/index.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

Solution Description

Upgrade to version 3.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Short Description

PayProCart contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'mmactionComm' variable upon submission to the adminshop/mmailer/index.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

Manual Testing Notes

http://[victim]/path_to_store/adminshop/mmailer/index.php?mmactionComm=mmShowMailingLists%22%3E%3Cscript%3Ealert(document.cookie)%3C/script%3E

References:

Vendor URL: http://www.profitcode.net/products/payprocart.html Vendor Specific Solution URL: http://www.profitcode.net/products/payprocart-31.html Secunia Advisory ID:15025 Related OSVDB ID: 15536 Related OSVDB ID: 15533 Related OSVDB ID: 15537 Related OSVDB ID: 15528 Related OSVDB ID: 15529 Related OSVDB ID: 15530 Related OSVDB ID: 15534 Related OSVDB ID: 15535 Other Advisory URL: http://lostmon.blogspot.com/2005/04/payprocart-multiple-variable-xss-path_20.html